/*
 *  Simple main wrapper for RTEMS with configuration
 */

#include <bsp.h>

#include <stdlib.h>

rtems_task Init(
  rtems_task_argument ignored
)
{
  extern int main( int, char ** );
  main( 0, NULL );
  exit( 0 );
}

/* configuration information */

/* NOTICE: the clock driver is explicitly disabled */
#define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER

#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER

#define CONFIGURE_RTEMS_INIT_TASKS_TABLE

#define CONFIGURE_MAXIMUM_TASKS 1

#define CONFIGURE_INIT

#include <rtems/confdefs.h>

/* end of file */
